require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"

activity.setTheme(android.R.style.Theme_DeviceDefault_Light_NoActionBar)
activity.setTitle("قصة محمد")

-- ScrollView مع Layout رأسي
scrollView = ScrollView(activity)
layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)
scrollView.addView(layout)

-- دالة لإضافة سطر نصي
function addLine(text)
  local tv = TextView(activity)
  tv.setText(text)
  tv.setTextSize(18)
  tv.setPadding(16, 8, 16, 8)
  layout.addView(tv)
end

-- كل سطر في القصة نص مستقل
lines = {
  "قصة محمد: عبقرية بلا حدود، إمبراطورية لا تُرى ولكن تُشعر",
  "في مكانٍ ما، تشرق شمسُ المعرفة على شابٍ يُدعى محمد.",
  "لم يكن محمدُ مجردَ شخصٍ يرى العالم بعينيه،",
  "بل كان يمتلك بصيرةً نافذةً تمتد إلى أبعدِ حدودِ التقنية.",
  "كان شغفُه بالحوسبة عميقاً، يلامسُ كلَّ تفاصيلِ السوفتوير وتعقيداتِ الهاردوير.",
  "كان يستمعُ بإنصاتٍ لكلِّ جديدٍ في عالمِ الأجهزةِ الذكيةِ المحمولةِ واللوحيةِ والمكتبيةِ.",
  "ويتأملُ في إمكانياتِ الذكاءِ الاصطناعيِّ وابتكاراتِ تكنولوجيا المعلومات.",
  "كانت البرمجةُ بالنسبةِ لهُ ليست مجردَ سطورٍ من الكود،",
  "بل لغةً يُشكلُ بها عالمهُ الرقميَّ الخاص.",
  "بدأت رحلةُ محمدٍ بشغفٍ جامحٍ تجاهِ الهواتفِ الذكية.",
  "لم يكتفِ بامتلاكِ هاتفٍ واحدٍ، بل جمعَ مجموعةً متنوعةً من الأجهزةِ المتطورة.",
  "من فئاتٍ وماركاتٍ مختلفة.",
  "كان يختارُ من كلِّ نوعٍ نموذجاً بعنايةٍ فائقةٍ.",
  "لدراسةِ كلِّ جانبٍ من جوانبهِ: تصميمِه، أداءِه، كفاءةِ بطاريتِه، وسرعةِ استجابتِه.",
  "هذا التنوعُ منحهُ فهماً شاملاً لتقنياتِ الاتصالِ والمعالجةِ والتخزينِ.",
  "وكيفَ تتكاملُ هذه المكوناتُ لتقديمِ تجربةٍ للمستخدم.",
  "لكن طموحَ محمدٍ لم يعرفْ التوقفَ عندَ حدودِ الأجهزةِ المحمولة.",
  "سرعانَ ما امتدَّ اهتمامُه ليشملَ عالمَ أجهزةِ الكمبيوترِ المحمولةِ العملاقة.",
  "امتلكَ العديدَ من اللابتوباتِ فائقةِ القوة.",
  "لكنَّ واحداً منها كان يمثلُ قمَّةَ ما وصلتْ إليهِ التقنيةُ في عالمِه.",
  "كانَ مزوداً بذاكرةِ RAM ضخمةٍ تبلغُ 60 جيجابايت.",
  "سمحتْ لهُ بتشغيلِ العشراتِ من التطبيقاتِ المعقدةِ في آنٍ واحدٍ.",
  "من دونِ أيِّ تدهورٍ في الأداءِ أو بطءٍ في الاستجابة.",
  "كما كانتْ سعةَ تخزينٍ داخليةٍ لا تُصدقُ تبلغُ 150 تيرابايت.",
  "جميعُها من أقراصِ SSD فائقةِ السرعة.",
  "حولتْ جهازَهُ إلى مركزِ بياناتٍ مُصغرٍ.",
  "يستضيفُ مكتباتٍ رقميةٍ، فيديوهاتٍ عاليةِ الدقةِ، ومشاريعَ برمجيةً ضخمة.",
  "مزودٌ ببطاريةٍ بسعةِ 200,000 مللي أمبير.",
  "سمحتْ لهُ بالعملِ لأيامٍ طويلةٍ من دونِ مصدرِ طاقة خارجي.",
  "بهذهِ القوةِ، قررَ محمدٌ بناءَ عالمهِ الرقميِّ الخاصِّ بهِ.",
  "قال بثقة: \"لقد بنيتُ شبكةَ إنترنتٍ في كمبيوتري!\"",
  "لم تكنْ شبكةً بسيطة، بل بنيةٌ رقميةٌ تحاكي الإنترنت العالمي.",
  "تضمنتْ خوادم، موجهات، ومحولات افتراضية.",
  "تعالجُ تريليوناتِ حزمِ البياناتِ في الثانية.",
  "مصممةٌ لاستيعابِ ملياراتِ المستخدمين.",
  "ليصبحَ في مصافِّ كبارِ مهندسي الشبكاتِ العالميين.",
  "لكنهُ لم يتوقفْ هنا.",
  "فبفضلِ فهمهِ للهاردوير، بدأَ في تصنيعِ وحداتِ التخزينِ بنفسهِ.",
  "بنى مصانعَ خاصةٍ بهِ.",
  "وصنع مئاتِ الملايينِ من أقراصِ SSD و HDD.",
  "قال بفخر: \"نحنُ نمتلكُ الملياراتِ بل مئاتِ الملياراتِ!\"",
  "ليصبحَ مهيمناً على سوقِ التخزينِ العالمي.",
  "بعدها بدأ تصنيعَ الأجهزةِ الذكيةِ واللابتوباتِ بنفسه.",
  "أنشأ شركةً تنافسُ كبرى شركات التقنية.",
  "وكانتْ تنتجُ ملايينَ الأجهزةِ تحتَ مظلتِه.",
  "اختارَ اسماً جديداً يعكسُ رؤيتَه: \"Mohamedal A Computer and Laptop Phone\".",
  "هذا الاسمُ عبّرَ عن شموليةِ منتجاتهِ من الخوادمِ إلى الخواتمِ الذكية.",
  "محمد، الشابُ الذي لم يحدَّ بصرهُ عن آفاقِ طموحهِ.",
  "أصبحَ الآنَ قوةً مؤثرةً في صناعةِ التكنولوجيا.",
  "قصتُه تُثبتُ أنَّ الشغفَ والمعرفةَ والإصرارَ تصنعُ إمبراطورياتٍ رقمية.",
}

-- عرض كل سطر
for _, line in ipairs(lines) do
  addLine(line)
end

-- عرض الواجهة
activity.setContentView(scrollView)